Skip to main content
GET
/
advertising
/
api
/
v1
/
reporting
/
organizations
/
{organization_id}
/
performance
Organization aggregate performance
curl --request GET \
  --url https://www.closient.com/advertising/api/v1/reporting/organizations/{organization_id}/performance \
  --header 'X-API-Key: <api-key>'
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_name": "<string>",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "totals": {
    "impressions": 123,
    "clicks": 123,
    "spend": "<string>",
    "ctr": "<string>",
    "effective_cpc": "<string>",
    "effective_cpm": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

organization_id
string<uuid>
required

UUID of the organization.

Query Parameters

start_date
string<date> | null

Start date for the query range. Defaults to 30 days ago.

end_date
string<date> | null

End date for the query range. Defaults to today.

Response

200 - application/json

OK

organization_id
string<uuid>
required

UUID of the organization.

organization_name
string
required

Name of the organization.

start_date
string<date>
required

Query start date.

end_date
string<date>
required

Query end date.

totals
SummaryTotals · object
required

Aggregated totals across all campaigns.

Example:
{
"clicks": 5780,
"ctr": "1.50",
"effective_cpc": "0.50",
"effective_cpm": "7.51",
"impressions": 385000,
"spend": "2890.00"
}